---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Update configuration for an application

Update configuration of an application in the meta-service.


# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "meta-configuration",
      "x-displayName": "Meta - Configuration"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/meta/{appId}/configuration": {
      "put": {
        "tags": [
          "meta-configuration"
        ],
        "summary": "Update configuration for an application",
        "description": "Update configuration of an application in the meta-service.\n",
        "operationId": "putMetaConfiguration",
        "x-eov-operation-handler": "configurationController",
        "x-gateway-endpoint": "metaService",
        "x-gateway-check-permission": {
          "account-features": [
            "META_ENABLED"
          ]
        },
        "parameters": [
          {
            "name": "appId",
            "in": "path",
            "description": "Application ID",
            "required": true,
            "schema": {
              "type": "number"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/MS_PUTconfiguration"
              }
            }
          },
          "description": "Configuration",
          "required": true
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/MS_ConfigurationResponse"
          },
          "default": {
            "description": "Error 5XX, 4XX",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MS_ErrorSchema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "schemas": {
      "MS_ErrorSchema": {
        "required": [
          "message",
          "statusCode"
        ],
        "type": "object",
        "properties": {
          "statusCode": {
            "type": "integer",
            "description": "Response code"
          },
          "errorCode": {
            "type": "string",
            "enum": [
              "META_INTERNAL_ERROR",
              "META_BAD_REQUEST",
              "META_NOT_FOUND",
              "META_FORBIDDEN",
              "META_SERVICE_NOT_ENABLED",
              "META_APPLICATION_NOT_FOUND",
              "META_APPLICATION_ALREADY_EXISTS",
              "META_APPLICATION_CONFIGURED",
              "META_PHONE_NOT_CONFIGURED",
              "META_MEDIA_FORBIDDEN",
              "META_ONBOARDING_ERROR",
              "META_SUBSCRIBE_ERROR",
              "META_WEBHOOK_NOT_FOUND",
              "META_WEBHOOK_PT_ONLY",
              "META_WEBHOOK_LIMIT_REACHED",
              "META_WEBHOOK_INVALID_URL",
              "META_PHONE_NUMBER_NOT_MATCH"
            ],
            "description": "* `META_INTERNAL_ERROR` - Internal error from Meta service\n* `META_BAD_REQUEST` - Bad request sent to Meta service\n* `META_NOT_FOUND` - Requested resource was not found\n* `META_FORBIDDEN` - Access to the requested resource is forbidden\n* `META_SERVICE_NOT_ENABLED` - Service is not enabled for this request\n* `META_APPLICATION_NOT_FOUND` - Application was not found\n* `META_APPLICATION_ALREADY_EXISTS` - Application already exists\n* `META_APPLICATION_CONFIGURED` - Application has been previously configured\n* `META_PHONE_NOT_CONFIGURED` - Phone number and WABA is not configured for this application\n* `META_MEDIA_FORBIDDEN` - Access to the requested media is forbidden\n* `META_ONBOARDING_ERROR` - Error during the onboarding process\n* `META_SUBSCRIBE_ERROR` - Error during subscribe webhooks process\n* `META_WEBHOOK_NOT_FOUND` - Specified webhook was not found\n* `META_WEBHOOK_PT_ONLY` - Only passthrough (PT) and hybrid (HYBRID_PT_CHAT) applications can configure webhooks\n* `META_WEBHOOK_LIMIT_REACHED` - Webhook configuration limit has been reached\n* `META_WEBHOOK_INVALID_URL` - Provided webhook URL is invalid\n* `META_PHONE_NUMBER_NOT_MATCH` - Phone number does not belong to WABA\n"
          },
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "MS_PUTconfiguration": {
        "required": [
          "enabled"
        ],
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Application status"
          },
          "monthlyMessageAlert": {
            "type": "integer",
            "minimum": 0,
            "description": "Monthly message limit defined by the customer. If exceeded, an alert is sent to Application account users.\""
          },
          "monthlyMessageAlertInternal": {
            "type": "integer",
            "minimum": 0,
            "description": "Internal monthly message limit (support). If exceeded, an alert is sent to Indigitall Internal account.\""
          },
          "monthlyMessageBlock": {
            "type": "integer",
            "minimum": 0,
            "description": "Monthly message limit defined by the customer. If exceeded, the application will be blocked."
          },
          "monthlyMessageBlockInternal": {
            "type": "integer",
            "minimum": 0,
            "description": "Internal monthly message limit (support). This value acts as a ceiling for monthlyMessageBlock."
          }
        }
      },
      "MS_Configuration": {
        "properties": {
          "applicationId": {
            "type": "integer",
            "description": "Application id"
          },
          "enabled": {
            "type": "boolean",
            "description": "Application status"
          },
          "clientType": {
            "type": "string",
            "enum": [
              "PT",
              "CHAT",
              "HYBRID_PT_CHAT"
            ],
            "description": "Type of client that uses this service. There are differents types:\n  * `PT` - Application that uses this service as Meta Passthrough\n  * `CHAT` - Application that uses this service through our other chat service\n  * `HYBRID_PT_CHAT` - Application that uses this service as Meta Passthrough and through our other chat service\n"
          },
          "monthlyMessageAlert": {
            "type": "integer",
            "description": "Monthly message limit defined by the customer. If exceeded, an alert is sent to Application account users.\""
          },
          "monthlyMessageAlertInternal": {
            "type": "integer",
            "description": "Internal monthly message limit (support). If exceeded, an alert is sent to Indigitall Internal account.\""
          },
          "monthlyMessageBlock": {
            "type": "integer",
            "description": "Monthly message limit defined by the customer. If exceeded, the application will be blocked."
          },
          "monthlyMessageBlockInternal": {
            "type": "integer",
            "description": "Internal monthly message limit (support). This value acts as a ceiling for monthlyMessageBlock."
          },
          "phoneNumber": {
            "allOf": [
              {
                "$ref": "#/components/schemas/MS_PhoneNumberObject"
              },
              {
                "type": "object",
                "properties": {
                  "waba": {
                    "$ref": "#/components/schemas/MS_WabaObject"
                  }
                }
              }
            ]
          }
        }
      },
      "MS_PhoneNumberObject": {
        "type": "object",
        "properties": {
          "phoneNumberId": {
            "type": "string",
            "description": "Meta ID for this phone number"
          },
          "applicationId": {
            "type": "integer",
            "description": "Application id"
          },
          "wabaId": {
            "type": "string",
            "description": "Meta ID for this WABA"
          },
          "verifiedName": {
            "type": "string"
          },
          "codeVerificationStatus": {
            "type": "string"
          },
          "displayPhoneNumber": {
            "type": "string"
          },
          "qualityRating": {
            "type": "string"
          },
          "lastSync": {
            "type": "string"
          }
        }
      },
      "MS_WabaObject": {
        "type": "object",
        "properties": {
          "wabaId": {
            "type": "string",
            "description": "Meta ID for this WABA"
          },
          "applicationId": {
            "type": "integer",
            "description": "Application id"
          },
          "accountReviewStatus": {
            "type": "string"
          },
          "businessVerificationStatus": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "messageTemplateNamespace": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "facebookBusinessId": {
            "type": "string"
          },
          "facebookBusinessName": {
            "type": "string"
          },
          "lastSync": {
            "type": "string"
          }
        }
      }
    },
    "responses": {
      "MS_ConfigurationResponse": {
        "description": "Ok",
        "content": {
          "application/json": {
            "schema": {
              "required": [
                "statusCode",
                "message"
              ],
              "type": "object",
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Response code",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "Response message, usually Ok",
                  "example": "Ok"
                },
                "data": {
                  "$ref": "#/components/schemas/MS_Configuration"
                }
              },
              "additionalProperties": false
            }
          }
        }
      }
    }
  }
}
```